Page MenuHomePhabricator

Install GuidedTour extension on Meta
Closed, ResolvedPublic

Description

Needed for WRC and possibly other uses; benign when not configured.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable GuidedTour on metawiki

Event Timeline

Restricted Application added subscribers: JEumerus, Dereckson, Matanya. · View Herald TranscriptDec 8 2016, 1:55 AM

Thank you for creating this task, @Jdforrester-WMF =)
I'll be following this one, too.

Mattflaschen-WMF renamed this task from Install GuidedTours extension on Meta to Install GuidedTour extension on Meta.Dec 10 2016, 2:13 AM
Mattflaschen-WMF claimed this task.

Change 326235 had a related patch set uploaded (by Mattflaschen):
Enable GuidedTour on metawiki

https://gerrit.wikimedia.org/r/326235

Sorry for being a bit nitpick, but the Meta-Wiki has not been consulted about this and Meta-Wiki is not a test wiki. Users there are a bit frustrated that things get enabled there without consulting with them first. As a bureaucrat there, with all due respect to all the ammount of valuable work you do, I have to raise my objections to this.

I don't think this requires community consensus. It doesn't impact the default user experience. You only see a tour when one is specifically launched (either from a custom link or another piece of software).

Change 326235 merged by jenkins-bot:
Enable GuidedTour on metawiki

https://gerrit.wikimedia.org/r/326235

Mentioned in SAL (#wikimedia-operations) [2016-12-12T19:37:30Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:326235|Enable GuidedTour on metawiki]] T152656 (duration: 00m 47s)

Hi @MarcoAurelio , thanks for raising your concerns with this procedure. As @Mattflaschen-WMF explains, this extension does not impact default user experience. I requested this extension be enabled on Meta Wikimedia because I am working on a new hub there, called the Wikimedia Resource Center. This hub seeks to improve findability of resources on Meta; we are starting with resources developed by the Wikimedia Foundation, but it will soon include community developed resources as well. This hub has a different navigation, and resources are grouped following a specific criteria. Guided Tours would help Wikimedians who use it understand how to navigate the site better. You can see a prototype here: https://meta.wikimedia.org/wiki/User:MCruz_(WMF)/Sandbox/WRC

Mattflaschen-WMF closed this task as Resolved.Jan 18 2017, 2:08 AM